//Rescale all object of specific class name using simple objects.
private _typeClass = _this select 0;
private _scale = _this select 1;
private _startDelay = _this select 2;
private _internalDelay = _this select 3;
private _listOfObjects = [];
private _newSimpleObject = objNull;
private _position = [];
private _vectorDirUp = [];
private _model = "";


if(isServer)then
{
	waitUntil {!isNil "resizeItemsList"};
	sleep _startDelay;

	_listOfObjects = allMissionObjects _typeClass;
	{
		_position = getPosWorld _x;
		_vectorDirUp = [vectorDir _x, vectorUp _x];
		_model = getModelInfo _x select 1;
		deleteVehicle _x;
	 	private _newSimpleObject = createSimpleObject [_model, _position,true];
		_newSimpleObject setVectorDirAndUp _vectorDirUp;
    	_newSimpleObject setVariable [scale_varName_rescaleValue,_scale , false];
    	_newSimpleObject setVariable [scale_varName_dirValue, _vectorDirUp , false];
    	_newSimpleObject setVariable [scale_varName_posValue, _position,false];
    	_newSimpleObject setObjectScale _scale;
    	resizeItemsList = resizeItemsList + [[netId _newSimpleObject,_model,_scale,_position,_vectorDirUp]];
    	sleep _internalDelay;
	} forEach _listOfObjects;
	publicVariable "resizeItemsList";
}


